Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.tasks.bundling
Class AntArchiveParameter

    java.lang.Object
      org.gradle.api.tasks.bundling.AntArchiveParameter

    class AntArchiveParameter
    extends java.lang.Object

author:
  Hans Dockter

Property Summary
`groovy.util.AntBuilder` | `ant`
`java.lang.String` | `archiveName`
`boolean` | `createIfEmpty`
`java.io.File` | `destinationDir`
`java.util.List` | `mergeFileSets`
`java.util.List` | `mergeGroupFileSets`
`java.util.List` | `resourceCollections`

Constructor Summary
`AntArchiveParameter(java.util.List resourceCollections, java.util.List mergeFileSets, java.util.List mergeGroupFileSets, boolean createIfEmpty, java.io.File destinationDir, java.lang.String archiveName, groovy.util.AntBuilder ant)`

Method Summary
`java.lang.String` | `emptyPolicy()`
`boolean` | `equals(def object)`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Property Detail

### ant

    groovy.util.AntBuilder ant

### archiveName

    java.lang.String archiveName

### createIfEmpty

    boolean createIfEmpty

### destinationDir

    java.io.File destinationDir

### mergeFileSets

    java.util.List mergeFileSets

### mergeGroupFileSets

    java.util.List mergeGroupFileSets

### resourceCollections

    java.util.List resourceCollections

Constructor Detail

### AntArchiveParameter

    public AntArchiveParameter(java.util.List resourceCollections, java.util.List mergeFileSets, java.util.List mergeGroupFileSets, boolean createIfEmpty, java.io.File destinationDir, java.lang.String archiveName, groovy.util.AntBuilder ant)

Method Detail

### emptyPolicy

    java.lang.String emptyPolicy()

### equals

    boolean equals(def object)

### hashCode

    int hashCode()

Groovy Documentation